Package org.apache.groovy.parser.antlr4

# Class GroovyParserBaseVisitor<Result>

java.lang.Object
org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<Result>
org.apache.groovy.parser.antlr4.GroovyParserBaseVisitor<Result>

Type Parameters:
  `Result` - The return type of the visit operation. Use `Void` for operations with no return type.

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTreeVisitor<Result>`, `GroovyParserVisitor<Result>`

Direct Known Subclasses:
  `AstBuilder`

public class GroovyParserBaseVisitor<Result> extends org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<Result> implements GroovyParserVisitor<Result>
This class provides an empty implementation of `GroovyParserVisitor`, which can be extended to create a visitor which only needs to handle a subset of the available methods.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyParserBaseVisitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Result`
  `visitAdditiveExprAlt(GroovyParser.AdditiveExprAltContext ctx)`
  Visit a parse tree produced by the `additiveExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitAndExprAlt(GroovyParser.AndExprAltContext ctx)`
  Visit a parse tree produced by the `andExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitAnnotatedQualifiedClassName(GroovyParser.AnnotatedQualifiedClassNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.annotatedQualifiedClassName()`.
  `Result`
  `visitAnnotation(GroovyParser.AnnotationContext ctx)`
  Visit a parse tree produced by `GroovyParser.annotation()`.
  `Result`
  `visitAnnotationName(GroovyParser.AnnotationNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.annotationName()`.
  `Result`
  `visitAnnotationsOpt(GroovyParser.AnnotationsOptContext ctx)`
  Visit a parse tree produced by `GroovyParser.annotationsOpt()`.
  `Result`
  `visitAnonymousInnerClassDeclaration(GroovyParser.AnonymousInnerClassDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.anonymousInnerClassDeclaration(int)`.
  `Result`
  `visitArguments(GroovyParser.ArgumentsContext ctx)`
  Visit a parse tree produced by `GroovyParser.arguments()`.
  `Result`
  `visitArrayInitializer(GroovyParser.ArrayInitializerContext ctx)`
  Visit a parse tree produced by `GroovyParser.arrayInitializer()`.
  `Result`
  `visitAssertStatement(GroovyParser.AssertStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.assertStatement()`.
  `Result`
  `visitAssertStmtAlt(GroovyParser.AssertStmtAltContext ctx)`
  Visit a parse tree produced by the `assertStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitAssignmentExprAlt(GroovyParser.AssignmentExprAltContext ctx)`
  Visit a parse tree produced by the `assignmentExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitBlock(GroovyParser.BlockContext ctx)`
  Visit a parse tree produced by `GroovyParser.block()`.
  `Result`
  `visitBlockStatement(GroovyParser.BlockStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.blockStatement()`.
  `Result`
  `visitBlockStatements(GroovyParser.BlockStatementsContext ctx)`
  Visit a parse tree produced by `GroovyParser.blockStatements()`.
  `Result`
  `visitBlockStatementsOpt(GroovyParser.BlockStatementsOptContext ctx)`
  Visit a parse tree produced by `GroovyParser.blockStatementsOpt()`.
  `Result`
  `visitBlockStmtAlt(GroovyParser.BlockStmtAltContext ctx)`
  Visit a parse tree produced by the `blockStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitBooleanLiteralAlt(GroovyParser.BooleanLiteralAltContext ctx)`
  Visit a parse tree produced by the `booleanLiteralAlt` labeled alternative in `GroovyParser.literal()`.
  `Result`
  `visitBreakStatement(GroovyParser.BreakStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.breakStatement()`.
  `Result`
  `visitBreakStmtAlt(GroovyParser.BreakStmtAltContext ctx)`
  Visit a parse tree produced by the `breakStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitBuiltInType(GroovyParser.BuiltInTypeContext ctx)`
  Visit a parse tree produced by `GroovyParser.builtInType()`.
  `Result`
  `visitBuiltInTypePrmrAlt(GroovyParser.BuiltInTypePrmrAltContext ctx)`
  Visit a parse tree produced by the `builtInTypePrmrAlt` labeled alternative in `GroovyParser.primary()`.
  `Result`
  `visitCastExprAlt(GroovyParser.CastExprAltContext ctx)`
  Visit a parse tree produced by the `castExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
  `Result`
  `visitCastParExpression(GroovyParser.CastParExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.castParExpression()`.
  `Result`
  `visitCatchClause(GroovyParser.CatchClauseContext ctx)`
  Visit a parse tree produced by `GroovyParser.catchClause()`.
  `Result`
  `visitCatchType(GroovyParser.CatchTypeContext ctx)`
  Visit a parse tree produced by `GroovyParser.catchType()`.
  `Result`
  `visitClassBody(GroovyParser.ClassBodyContext ctx)`
  Visit a parse tree produced by `GroovyParser.classBody(int)`.
  `Result`
  `visitClassBodyDeclaration(GroovyParser.ClassBodyDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.classBodyDeclaration(int)`.
  `Result`
  `visitClassDeclaration(GroovyParser.ClassDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.classDeclaration()`.
  `Result`
  `visitClassicalForControl(GroovyParser.ClassicalForControlContext ctx)`
  Visit a parse tree produced by `GroovyParser.classicalForControl()`.
  `Result`
  `visitClassName(GroovyParser.ClassNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.className()`.
  `Result`
  `visitClassOrInterfaceModifier(GroovyParser.ClassOrInterfaceModifierContext ctx)`
  Visit a parse tree produced by `GroovyParser.classOrInterfaceModifier()`.
  `Result`
  `visitClassOrInterfaceModifiers(GroovyParser.ClassOrInterfaceModifiersContext ctx)`
  Visit a parse tree produced by `GroovyParser.classOrInterfaceModifiers()`.
  `Result`
  `visitClassOrInterfaceModifiersOpt(GroovyParser.ClassOrInterfaceModifiersOptContext ctx)`
  Visit a parse tree produced by `GroovyParser.classOrInterfaceModifiersOpt()`.
  `Result`
  `visitClassOrInterfaceType(GroovyParser.ClassOrInterfaceTypeContext ctx)`
  Visit a parse tree produced by `GroovyParser.classOrInterfaceType()`.
  `Result`
  `visitClosure(GroovyParser.ClosureContext ctx)`
  Visit a parse tree produced by `GroovyParser.closure()`.
  `Result`
  `visitClosureOrLambdaExpression(GroovyParser.ClosureOrLambdaExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.closureOrLambdaExpression()`.
  `Result`
  `visitClosureOrLambdaExpressionPrmrAlt(GroovyParser.ClosureOrLambdaExpressionPrmrAltContext ctx)`
  Visit a parse tree produced by the `closureOrLambdaExpressionPrmrAlt` labeled alternative in `GroovyParser.primary()`.
  `Result`
  `visitCommandArgument(GroovyParser.CommandArgumentContext ctx)`
  Visit a parse tree produced by `GroovyParser.commandArgument()`.
  `Result`
  `visitCommandExprAlt(GroovyParser.CommandExprAltContext ctx)`
  Visit a parse tree produced by the `commandExprAlt` labeled alternative in `GroovyParser.statementExpression()`.
  `Result`
  `visitCommandExpression(GroovyParser.CommandExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.commandExpression()`.
  `Result`
  `visitCompactConstructorDeclaration(GroovyParser.CompactConstructorDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.compactConstructorDeclaration()`.
  `Result`
  `visitCompilationUnit(GroovyParser.CompilationUnitContext ctx)`
  Visit a parse tree produced by `GroovyParser.compilationUnit()`.
  `Result`
  `visitConditionalExprAlt(GroovyParser.ConditionalExprAltContext ctx)`
  Visit a parse tree produced by the `conditionalExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitConditionalStatement(GroovyParser.ConditionalStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.conditionalStatement()`.
  `Result`
  `visitConditionalStmtAlt(GroovyParser.ConditionalStmtAltContext ctx)`
  Visit a parse tree produced by the `conditionalStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitContinueStatement(GroovyParser.ContinueStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.continueStatement()`.
  `Result`
  `visitContinueStmtAlt(GroovyParser.ContinueStmtAltContext ctx)`
  Visit a parse tree produced by the `continueStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitCreatedName(GroovyParser.CreatedNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.createdName()`.
  `Result`
  `visitCreator(GroovyParser.CreatorContext ctx)`
  Visit a parse tree produced by `GroovyParser.creator(int)`.
  `Result`
  `visitDim(GroovyParser.DimContext ctx)`
  Visit a parse tree produced by `GroovyParser.dim()`.
  `Result`
  `visitDoWhileStmtAlt(GroovyParser.DoWhileStmtAltContext ctx)`
  Visit a parse tree produced by the `doWhileStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.
  `Result`
  `visitDynamicMemberName(GroovyParser.DynamicMemberNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.dynamicMemberName()`.
  `Result`
  `visitElementValue(GroovyParser.ElementValueContext ctx)`
  Visit a parse tree produced by `GroovyParser.elementValue()`.
  `Result`
  `visitElementValueArrayInitializer(GroovyParser.ElementValueArrayInitializerContext ctx)`
  Visit a parse tree produced by `GroovyParser.elementValueArrayInitializer()`.
  `Result`
  `visitElementValuePair(GroovyParser.ElementValuePairContext ctx)`
  Visit a parse tree produced by `GroovyParser.elementValuePair()`.
  `Result`
  `visitElementValuePairName(GroovyParser.ElementValuePairNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.elementValuePairName()`.
  `Result`
  `visitElementValuePairs(GroovyParser.ElementValuePairsContext ctx)`
  Visit a parse tree produced by `GroovyParser.elementValuePairs()`.
  `Result`
  `visitElementValues(GroovyParser.ElementValuesContext ctx)`
  Visit a parse tree produced by `GroovyParser.elementValues()`.
  `Result`
  `visitEmptyDims(GroovyParser.EmptyDimsContext ctx)`
  Visit a parse tree produced by `GroovyParser.emptyDims()`.
  `Result`
  `visitEmptyDimsOpt(GroovyParser.EmptyDimsOptContext ctx)`
  Visit a parse tree produced by `GroovyParser.emptyDimsOpt()`.
  `Result`
  `visitEmptyStmtAlt(GroovyParser.EmptyStmtAltContext ctx)`
  Visit a parse tree produced by the `emptyStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitEnhancedArgumentListElement(GroovyParser.EnhancedArgumentListElementContext ctx)`
  Visit a parse tree produced by `GroovyParser.enhancedArgumentListElement()`.
  `Result`
  `visitEnhancedArgumentListInPar(GroovyParser.EnhancedArgumentListInParContext ctx)`
  Visit a parse tree produced by `GroovyParser.enhancedArgumentListInPar()`.
  `Result`
  `visitEnhancedExpression(GroovyParser.EnhancedExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.enhancedExpression()`.
  `Result`
  `visitEnhancedForControl(GroovyParser.EnhancedForControlContext ctx)`
  Visit a parse tree produced by `GroovyParser.enhancedForControl()`.
  `Result`
  `visitEnhancedStatementExpression(GroovyParser.EnhancedStatementExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.enhancedStatementExpression()`.
  `Result`
  `visitEnumConstant(GroovyParser.EnumConstantContext ctx)`
  Visit a parse tree produced by `GroovyParser.enumConstant()`.
  `Result`
  `visitEnumConstants(GroovyParser.EnumConstantsContext ctx)`
  Visit a parse tree produced by `GroovyParser.enumConstants()`.
  `Result`
  `visitEqualityExprAlt(GroovyParser.EqualityExprAltContext ctx)`
  Visit a parse tree produced by the `equalityExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitExclusiveOrExprAlt(GroovyParser.ExclusiveOrExprAltContext ctx)`
  Visit a parse tree produced by the `exclusiveOrExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitExpression(GroovyParser.ExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.expression()`.
  `Result`
  `visitExpressionInPar(GroovyParser.ExpressionInParContext ctx)`
  Visit a parse tree produced by `GroovyParser.expressionInPar()`.
  `Result`
  `visitExpressionList(GroovyParser.ExpressionListContext ctx)`
  Visit a parse tree produced by `GroovyParser.expressionList(boolean)`.
  `Result`
  `visitExpressionListElement(GroovyParser.ExpressionListElementContext ctx)`
  Visit a parse tree produced by `GroovyParser.expressionListElement(boolean)`.
  `Result`
  `visitExpressionStmtAlt(GroovyParser.ExpressionStmtAltContext ctx)`
  Visit a parse tree produced by the `expressionStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitFieldDeclaration(GroovyParser.FieldDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.fieldDeclaration()`.
  `Result`
  `visitFinallyBlock(GroovyParser.FinallyBlockContext ctx)`
  Visit a parse tree produced by `GroovyParser.finallyBlock()`.
  `Result`
  `visitFloatingPointLiteralAlt(GroovyParser.FloatingPointLiteralAltContext ctx)`
  Visit a parse tree produced by the `floatingPointLiteralAlt` labeled alternative in `GroovyParser.literal()`.
  `Result`
  `visitForControl(GroovyParser.ForControlContext ctx)`
  Visit a parse tree produced by `GroovyParser.forControl()`.
  `Result`
  `visitForInit(GroovyParser.ForInitContext ctx)`
  Visit a parse tree produced by `GroovyParser.forInit()`.
  `Result`
  `visitFormalParameter(GroovyParser.FormalParameterContext ctx)`
  Visit a parse tree produced by `GroovyParser.formalParameter()`.
  `Result`
  `visitFormalParameterList(GroovyParser.FormalParameterListContext ctx)`
  Visit a parse tree produced by `GroovyParser.formalParameterList()`.
  `Result`
  `visitFormalParameters(GroovyParser.FormalParametersContext ctx)`
  Visit a parse tree produced by `GroovyParser.formalParameters()`.
  `Result`
  `visitForStmtAlt(GroovyParser.ForStmtAltContext ctx)`
  Visit a parse tree produced by the `forStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.
  `Result`
  `visitForUpdate(GroovyParser.ForUpdateContext ctx)`
  Visit a parse tree produced by `GroovyParser.forUpdate()`.
  `Result`
  `visitGstring(GroovyParser.GstringContext ctx)`
  Visit a parse tree produced by `GroovyParser.gstring()`.
  `Result`
  `visitGstringPath(GroovyParser.GstringPathContext ctx)`
  Visit a parse tree produced by `GroovyParser.gstringPath()`.
  `Result`
  `visitGstringPrmrAlt(GroovyParser.GstringPrmrAltContext ctx)`
  Visit a parse tree produced by the `gstringPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.
  `Result`
  `visitGstringValue(GroovyParser.GstringValueContext ctx)`
  Visit a parse tree produced by `GroovyParser.gstringValue()`.
  `Result`
  `visitIdentifier(GroovyParser.IdentifierContext ctx)`
  Visit a parse tree produced by `GroovyParser.identifier()`.
  `Result`
  `visitIdentifierPrmrAlt(GroovyParser.IdentifierPrmrAltContext ctx)`
  Visit a parse tree produced by the `identifierPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.
  `Result`
  `visitIfElseStatement(GroovyParser.IfElseStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.ifElseStatement()`.
  `Result`
  `visitImplicationExprAlt(GroovyParser.ImplicationExprAltContext ctx)`
  Visit a parse tree produced by the `implicationExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitImportDeclaration(GroovyParser.ImportDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.importDeclaration()`.
  `Result`
  `visitInclusiveOrExprAlt(GroovyParser.InclusiveOrExprAltContext ctx)`
  Visit a parse tree produced by the `inclusiveOrExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitIndexPropertyArgs(GroovyParser.IndexPropertyArgsContext ctx)`
  Visit a parse tree produced by `GroovyParser.indexPropertyArgs()`.
  `Result`
  `visitIntegerLiteralAlt(GroovyParser.IntegerLiteralAltContext ctx)`
  Visit a parse tree produced by the `integerLiteralAlt` labeled alternative in `GroovyParser.literal()`.
  `Result`
  `visitKeywords(GroovyParser.KeywordsContext ctx)`
  Visit a parse tree produced by `GroovyParser.keywords()`.
  `Result`
  `visitLabeledStmtAlt(GroovyParser.LabeledStmtAltContext ctx)`
  Visit a parse tree produced by the `labeledStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitLambdaBody(GroovyParser.LambdaBodyContext ctx)`
  Visit a parse tree produced by `GroovyParser.lambdaBody()`.
  `Result`
  `visitList(GroovyParser.ListContext ctx)`
  Visit a parse tree produced by `GroovyParser.list()`.
  `Result`
  `visitListPrmrAlt(GroovyParser.ListPrmrAltContext ctx)`
  Visit a parse tree produced by the `listPrmrAlt` labeled alternative in `GroovyParser.namedPropertyArgPrimary()`.
  `Result`
  `visitLiteral(GroovyParser.LiteralContext ctx)`
  Visit a parse tree produced by `GroovyParser.literal()`.
  `Result`
  `visitLiteralPrmrAlt(GroovyParser.LiteralPrmrAltContext ctx)`
  Visit a parse tree produced by the `literalPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.
  `Result`
  `visitLocalVariableDeclaration(GroovyParser.LocalVariableDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.localVariableDeclaration()`.
  `Result`
  `visitLocalVariableDeclarationStmtAlt(GroovyParser.LocalVariableDeclarationStmtAltContext ctx)`
  Visit a parse tree produced by the `localVariableDeclarationStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitLogicalAndExprAlt(GroovyParser.LogicalAndExprAltContext ctx)`
  Visit a parse tree produced by the `logicalAndExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitLogicalOrExprAlt(GroovyParser.LogicalOrExprAltContext ctx)`
  Visit a parse tree produced by the `logicalOrExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitLoopStatement(GroovyParser.LoopStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.loopStatement()`.
  `Result`
  `visitLoopStmtAlt(GroovyParser.LoopStmtAltContext ctx)`
  Visit a parse tree produced by the `loopStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitMap(GroovyParser.MapContext ctx)`
  Visit a parse tree produced by `GroovyParser.map()`.
  `Result`
  `visitMapEntry(GroovyParser.MapEntryContext ctx)`
  Visit a parse tree produced by `GroovyParser.mapEntry()`.
  `Result`
  `visitMapEntryLabel(GroovyParser.MapEntryLabelContext ctx)`
  Visit a parse tree produced by `GroovyParser.mapEntryLabel()`.
  `Result`
  `visitMapEntryList(GroovyParser.MapEntryListContext ctx)`
  Visit a parse tree produced by `GroovyParser.mapEntryList()`.
  `Result`
  `visitMapPrmrAlt(GroovyParser.MapPrmrAltContext ctx)`
  Visit a parse tree produced by the `mapPrmrAlt` labeled alternative in `GroovyParser.namedPropertyArgPrimary()`.
  `Result`
  `visitMemberDeclaration(GroovyParser.MemberDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.memberDeclaration(int)`.
  `Result`
  `visitMethodBody(GroovyParser.MethodBodyContext ctx)`
  Visit a parse tree produced by `GroovyParser.methodBody()`.
  `Result`
  `visitMethodDeclaration(GroovyParser.MethodDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.methodDeclaration(int, int)`.
  `Result`
  `visitMethodName(GroovyParser.MethodNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.methodName()`.
  `Result`
  `visitModifier(GroovyParser.ModifierContext ctx)`
  Visit a parse tree produced by `GroovyParser.modifier()`.
  `Result`
  `visitModifiers(GroovyParser.ModifiersContext ctx)`
  Visit a parse tree produced by `GroovyParser.modifiers()`.
  `Result`
  `visitModifiersOpt(GroovyParser.ModifiersOptContext ctx)`
  Visit a parse tree produced by `GroovyParser.modifiersOpt()`.
  `Result`
  `visitMultipleAssignmentExprAlt(GroovyParser.MultipleAssignmentExprAltContext ctx)`
  Visit a parse tree produced by the `multipleAssignmentExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitMultiplicativeExprAlt(GroovyParser.MultiplicativeExprAltContext ctx)`
  Visit a parse tree produced by the `multiplicativeExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitNamedPropertyArgs(GroovyParser.NamedPropertyArgsContext ctx)`
  Visit a parse tree produced by `GroovyParser.namedPropertyArgs()`.
  `Result`
  `visitNamePart(GroovyParser.NamePartContext ctx)`
  Visit a parse tree produced by `GroovyParser.namePart()`.
  `Result`
  `visitNewPrmrAlt(GroovyParser.NewPrmrAltContext ctx)`
  Visit a parse tree produced by the `newPrmrAlt` labeled alternative in `GroovyParser.primary()`.
  `Result`
  `visitNls(GroovyParser.NlsContext ctx)`
  Visit a parse tree produced by `GroovyParser.nls()`.
  `Result`
  `visitNonWildcardTypeArguments(GroovyParser.NonWildcardTypeArgumentsContext ctx)`
  Visit a parse tree produced by `GroovyParser.nonWildcardTypeArguments()`.
  `Result`
  `visitNullLiteralAlt(GroovyParser.NullLiteralAltContext ctx)`
  Visit a parse tree produced by the `nullLiteralAlt` labeled alternative in `GroovyParser.literal()`.
  `Result`
  `visitPackageDeclaration(GroovyParser.PackageDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.packageDeclaration()`.
  `Result`
  `visitParenPrmrAlt(GroovyParser.ParenPrmrAltContext ctx)`
  Visit a parse tree produced by the `parenPrmrAlt` labeled alternative in `GroovyParser.namedPropertyArgPrimary()`.
  `Result`
  `visitParExpression(GroovyParser.ParExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.parExpression()`.
  `Result`
  `visitPathElement(GroovyParser.PathElementContext ctx)`
  Visit a parse tree produced by `GroovyParser.pathElement()`.
  `Result`
  `visitPathExpression(GroovyParser.PathExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.pathExpression()`.
  `Result`
  `visitPostfixExprAlt(GroovyParser.PostfixExprAltContext ctx)`
  Visit a parse tree produced by the `postfixExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
  `Result`
  `visitPostfixExpression(GroovyParser.PostfixExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.postfixExpression()`.
  `Result`
  `visitPowerExprAlt(GroovyParser.PowerExprAltContext ctx)`
  Visit a parse tree produced by the `powerExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitPrimary(GroovyParser.PrimaryContext ctx)`
  Visit a parse tree produced by `GroovyParser.primary()`.
  `Result`
  `visitPrimitiveType(GroovyParser.PrimitiveTypeContext ctx)`
  Visit a parse tree produced by `GroovyParser.primitiveType()`.
  `Result`
  `visitQualifiedClassName(GroovyParser.QualifiedClassNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.qualifiedClassName()`.
  `Result`
  `visitQualifiedClassNameList(GroovyParser.QualifiedClassNameListContext ctx)`
  Visit a parse tree produced by `GroovyParser.qualifiedClassNameList()`.
  `Result`
  `visitQualifiedName(GroovyParser.QualifiedNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.qualifiedName()`.
  `Result`
  `visitQualifiedNameElement(GroovyParser.QualifiedNameElementContext ctx)`
  Visit a parse tree produced by `GroovyParser.qualifiedNameElement()`.
  `Result`
  `visitQualifiedNameElements(GroovyParser.QualifiedNameElementsContext ctx)`
  Visit a parse tree produced by `GroovyParser.qualifiedNameElements()`.
  `Result`
  `visitQualifiedStandardClassName(GroovyParser.QualifiedStandardClassNameContext ctx)`
  Visit a parse tree produced by `GroovyParser.qualifiedStandardClassName()`.
  `Result`
  `visitRegexExprAlt(GroovyParser.RegexExprAltContext ctx)`
  Visit a parse tree produced by the `regexExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitRelationalExprAlt(GroovyParser.RelationalExprAltContext ctx)`
  Visit a parse tree produced by the `relationalExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitResource(GroovyParser.ResourceContext ctx)`
  Visit a parse tree produced by `GroovyParser.resource()`.
  `Result`
  `visitResourceList(GroovyParser.ResourceListContext ctx)`
  Visit a parse tree produced by `GroovyParser.resourceList()`.
  `Result`
  `visitResources(GroovyParser.ResourcesContext ctx)`
  Visit a parse tree produced by `GroovyParser.resources()`.
  `Result`
  `visitReturnStmtAlt(GroovyParser.ReturnStmtAltContext ctx)`
  Visit a parse tree produced by the `returnStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitReturnType(GroovyParser.ReturnTypeContext ctx)`
  Visit a parse tree produced by `GroovyParser.returnType(int)`.
  `Result`
  `visitRparen(GroovyParser.RparenContext ctx)`
  Visit a parse tree produced by `GroovyParser.rparen()`.
  `Result`
  `visitScriptStatement(GroovyParser.ScriptStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.scriptStatement()`.
  `Result`
  `visitScriptStatements(GroovyParser.ScriptStatementsContext ctx)`
  Visit a parse tree produced by `GroovyParser.scriptStatements()`.
  `Result`
  `visitSep(GroovyParser.SepContext ctx)`
  Visit a parse tree produced by `GroovyParser.sep()`.
  `Result`
  `visitShiftExprAlt(GroovyParser.ShiftExprAltContext ctx)`
  Visit a parse tree produced by the `shiftExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitStandardLambdaExpression(GroovyParser.StandardLambdaExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.standardLambdaExpression()`.
  `Result`
  `visitStandardLambdaParameters(GroovyParser.StandardLambdaParametersContext ctx)`
  Visit a parse tree produced by `GroovyParser.standardLambdaParameters()`.
  `Result`
  `visitStatement(GroovyParser.StatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.statement()`.
  `Result`
  `visitStatementExpression(GroovyParser.StatementExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.statementExpression()`.
  `Result`
  `visitStringLiteral(GroovyParser.StringLiteralContext ctx)`
  Visit a parse tree produced by `GroovyParser.stringLiteral()`.
  `Result`
  `visitStringLiteralAlt(GroovyParser.StringLiteralAltContext ctx)`
  Visit a parse tree produced by the `stringLiteralAlt` labeled alternative in `GroovyParser.literal()`.
  `Result`
  `visitSuperPrmrAlt(GroovyParser.SuperPrmrAltContext ctx)`
  Visit a parse tree produced by the `superPrmrAlt` labeled alternative in `GroovyParser.primary()`.
  `Result`
  `visitSwitchBlockStatementExpressionGroup(GroovyParser.SwitchBlockStatementExpressionGroupContext ctx)`
  Visit a parse tree produced by `GroovyParser.switchBlockStatementExpressionGroup()`.
  `Result`
  `visitSwitchBlockStatementGroup(GroovyParser.SwitchBlockStatementGroupContext ctx)`
  Visit a parse tree produced by `GroovyParser.switchBlockStatementGroup()`.
  `Result`
  `visitSwitchExprAlt(GroovyParser.SwitchExprAltContext ctx)`
  Visit a parse tree produced by the `switchExprAlt` labeled alternative in `GroovyParser.expression()`.
  `Result`
  `visitSwitchExpression(GroovyParser.SwitchExpressionContext ctx)`
  Visit a parse tree produced by `GroovyParser.switchExpression()`.
  `Result`
  `visitSwitchExpressionLabel(GroovyParser.SwitchExpressionLabelContext ctx)`
  Visit a parse tree produced by `GroovyParser.switchExpressionLabel()`.
  `Result`
  `visitSwitchLabel(GroovyParser.SwitchLabelContext ctx)`
  Visit a parse tree produced by `GroovyParser.switchLabel()`.
  `Result`
  `visitSwitchStatement(GroovyParser.SwitchStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.switchStatement()`.
  `Result`
  `visitSynchronizedStmtAlt(GroovyParser.SynchronizedStmtAltContext ctx)`
  Visit a parse tree produced by the `synchronizedStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitThisFormalParameter(GroovyParser.ThisFormalParameterContext ctx)`
  Visit a parse tree produced by `GroovyParser.thisFormalParameter()`.
  `Result`
  `visitThisPrmrAlt(GroovyParser.ThisPrmrAltContext ctx)`
  Visit a parse tree produced by the `thisPrmrAlt` labeled alternative in `GroovyParser.primary()`.
  `Result`
  `visitThrowStmtAlt(GroovyParser.ThrowStmtAltContext ctx)`
  Visit a parse tree produced by the `throwStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitTryCatchStatement(GroovyParser.TryCatchStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.tryCatchStatement()`.
  `Result`
  `visitTryCatchStmtAlt(GroovyParser.TryCatchStmtAltContext ctx)`
  Visit a parse tree produced by the `tryCatchStmtAlt` labeled alternative in `GroovyParser.statement()`.
  `Result`
  `visitType(GroovyParser.TypeContext ctx)`
  Visit a parse tree produced by `GroovyParser.type()`.
  `Result`
  `visitTypeArgument(GroovyParser.TypeArgumentContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeArgument()`.
  `Result`
  `visitTypeArguments(GroovyParser.TypeArgumentsContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeArguments()`.
  `Result`
  `visitTypeArgumentsOrDiamond(GroovyParser.TypeArgumentsOrDiamondContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeArgumentsOrDiamond()`.
  `Result`
  `visitTypeBound(GroovyParser.TypeBoundContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeBound()`.
  `Result`
  `visitTypeDeclaration(GroovyParser.TypeDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeDeclaration()`.
  `Result`
  `visitTypeList(GroovyParser.TypeListContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeList()`.
  `Result`
  `visitTypeNamePair(GroovyParser.TypeNamePairContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeNamePair()`.
  `Result`
  `visitTypeNamePairs(GroovyParser.TypeNamePairsContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeNamePairs()`.
  `Result`
  `visitTypeParameter(GroovyParser.TypeParameterContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeParameter()`.
  `Result`
  `visitTypeParameters(GroovyParser.TypeParametersContext ctx)`
  Visit a parse tree produced by `GroovyParser.typeParameters()`.
  `Result`
  `visitUnaryAddExprAlt(GroovyParser.UnaryAddExprAltContext ctx)`
  Visit a parse tree produced by the `unaryAddExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
  `Result`
  `visitUnaryNotExprAlt(GroovyParser.UnaryNotExprAltContext ctx)`
  Visit a parse tree produced by the `unaryNotExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.
  `Result`
  `visitVariableDeclaration(GroovyParser.VariableDeclarationContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableDeclaration(int)`.
  `Result`
  `visitVariableDeclarator(GroovyParser.VariableDeclaratorContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableDeclarator()`.
  `Result`
  `visitVariableDeclaratorId(GroovyParser.VariableDeclaratorIdContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableDeclaratorId()`.
  `Result`
  `visitVariableDeclarators(GroovyParser.VariableDeclaratorsContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableDeclarators()`.
  `Result`
  `visitVariableInitializer(GroovyParser.VariableInitializerContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableInitializer()`.
  `Result`
  `visitVariableInitializers(GroovyParser.VariableInitializersContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableInitializers()`.
  `Result`
  `visitVariableModifier(GroovyParser.VariableModifierContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableModifier()`.
  `Result`
  `visitVariableModifiers(GroovyParser.VariableModifiersContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableModifiers()`.
  `Result`
  `visitVariableModifiersOpt(GroovyParser.VariableModifiersOptContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableModifiersOpt()`.
  `Result`
  `visitVariableNames(GroovyParser.VariableNamesContext ctx)`
  Visit a parse tree produced by `GroovyParser.variableNames()`.
  `Result`
  `visitWhileStmtAlt(GroovyParser.WhileStmtAltContext ctx)`
  Visit a parse tree produced by the `whileStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.
  `Result`
  `visitYieldStatement(GroovyParser.YieldStatementContext ctx)`
  Visit a parse tree produced by `GroovyParser.yieldStatement()`.
  `Result`
  `visitYieldStmtAlt(GroovyParser.YieldStmtAltContext ctx)`
  Visit a parse tree produced by the `yieldStmtAlt` labeled alternative in `GroovyParser.statement()`.

  ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

  `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

  `visit, visitChildren, visitErrorNode, visitTerminal`

- ## Constructor Details

  - ### GroovyParserBaseVisitor

    public GroovyParserBaseVisitor()

- ## Method Details

  - ### visitIdentifierPrmrAlt

    public Result visitIdentifierPrmrAlt(@NotNull GroovyParser.IdentifierPrmrAltContext ctx)
    Visit a parse tree produced by the `identifierPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitIdentifierPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLiteralPrmrAlt

    public Result visitLiteralPrmrAlt(@NotNull GroovyParser.LiteralPrmrAltContext ctx)
    Visit a parse tree produced by the `literalPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLiteralPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitGstringPrmrAlt

    public Result visitGstringPrmrAlt(@NotNull GroovyParser.GstringPrmrAltContext ctx)
    Visit a parse tree produced by the `gstringPrmrAlt` labeled alternative in `GroovyParser.commandPrimary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitGstringPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitNewPrmrAlt

    public Result visitNewPrmrAlt(@NotNull GroovyParser.NewPrmrAltContext ctx)
    Visit a parse tree produced by the `newPrmrAlt` labeled alternative in `GroovyParser.primary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitNewPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitThisPrmrAlt

    public Result visitThisPrmrAlt(@NotNull GroovyParser.ThisPrmrAltContext ctx)
    Visit a parse tree produced by the `thisPrmrAlt` labeled alternative in `GroovyParser.primary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitThisPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSuperPrmrAlt

    public Result visitSuperPrmrAlt(@NotNull GroovyParser.SuperPrmrAltContext ctx)
    Visit a parse tree produced by the `superPrmrAlt` labeled alternative in `GroovyParser.primary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSuperPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitParenPrmrAlt

    public Result visitParenPrmrAlt(@NotNull GroovyParser.ParenPrmrAltContext ctx)
    Visit a parse tree produced by the `parenPrmrAlt` labeled alternative in `GroovyParser.namedPropertyArgPrimary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitParenPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClosureOrLambdaExpressionPrmrAlt

    public Result visitClosureOrLambdaExpressionPrmrAlt(@NotNull GroovyParser.ClosureOrLambdaExpressionPrmrAltContext ctx)
    Visit a parse tree produced by the `closureOrLambdaExpressionPrmrAlt` labeled alternative in `GroovyParser.primary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClosureOrLambdaExpressionPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitListPrmrAlt

    public Result visitListPrmrAlt(@NotNull GroovyParser.ListPrmrAltContext ctx)
    Visit a parse tree produced by the `listPrmrAlt` labeled alternative in `GroovyParser.namedPropertyArgPrimary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitListPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMapPrmrAlt

    public Result visitMapPrmrAlt(@NotNull GroovyParser.MapPrmrAltContext ctx)
    Visit a parse tree produced by the `mapPrmrAlt` labeled alternative in `GroovyParser.namedPropertyArgPrimary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMapPrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBuiltInTypePrmrAlt

    public Result visitBuiltInTypePrmrAlt(@NotNull GroovyParser.BuiltInTypePrmrAltContext ctx)
    Visit a parse tree produced by the `builtInTypePrmrAlt` labeled alternative in `GroovyParser.primary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBuiltInTypePrmrAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitIntegerLiteralAlt

    public Result visitIntegerLiteralAlt(@NotNull GroovyParser.IntegerLiteralAltContext ctx)
    Visit a parse tree produced by the `integerLiteralAlt` labeled alternative in `GroovyParser.literal()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitIntegerLiteralAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitFloatingPointLiteralAlt

    public Result visitFloatingPointLiteralAlt(@NotNull GroovyParser.FloatingPointLiteralAltContext ctx)
    Visit a parse tree produced by the `floatingPointLiteralAlt` labeled alternative in `GroovyParser.literal()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitFloatingPointLiteralAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitStringLiteralAlt

    public Result visitStringLiteralAlt(@NotNull GroovyParser.StringLiteralAltContext ctx)
    Visit a parse tree produced by the `stringLiteralAlt` labeled alternative in `GroovyParser.literal()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitStringLiteralAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBooleanLiteralAlt

    public Result visitBooleanLiteralAlt(@NotNull GroovyParser.BooleanLiteralAltContext ctx)
    Visit a parse tree produced by the `booleanLiteralAlt` labeled alternative in `GroovyParser.literal()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBooleanLiteralAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitNullLiteralAlt

    public Result visitNullLiteralAlt(@NotNull GroovyParser.NullLiteralAltContext ctx)
    Visit a parse tree produced by the `nullLiteralAlt` labeled alternative in `GroovyParser.literal()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitNullLiteralAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCastExprAlt

    public Result visitCastExprAlt(@NotNull GroovyParser.CastExprAltContext ctx)
    Visit a parse tree produced by the `castExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCastExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitPostfixExprAlt

    public Result visitPostfixExprAlt(@NotNull GroovyParser.PostfixExprAltContext ctx)
    Visit a parse tree produced by the `postfixExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitPostfixExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSwitchExprAlt

    public Result visitSwitchExprAlt(@NotNull GroovyParser.SwitchExprAltContext ctx)
    Visit a parse tree produced by the `switchExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSwitchExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitUnaryNotExprAlt

    public Result visitUnaryNotExprAlt(@NotNull GroovyParser.UnaryNotExprAltContext ctx)
    Visit a parse tree produced by the `unaryNotExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitUnaryNotExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitPowerExprAlt

    public Result visitPowerExprAlt(@NotNull GroovyParser.PowerExprAltContext ctx)
    Visit a parse tree produced by the `powerExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitPowerExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitUnaryAddExprAlt

    public Result visitUnaryAddExprAlt(@NotNull GroovyParser.UnaryAddExprAltContext ctx)
    Visit a parse tree produced by the `unaryAddExprAlt` labeled alternative in `GroovyParser.castOperandExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitUnaryAddExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMultiplicativeExprAlt

    public Result visitMultiplicativeExprAlt(@NotNull GroovyParser.MultiplicativeExprAltContext ctx)
    Visit a parse tree produced by the `multiplicativeExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMultiplicativeExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAdditiveExprAlt

    public Result visitAdditiveExprAlt(@NotNull GroovyParser.AdditiveExprAltContext ctx)
    Visit a parse tree produced by the `additiveExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAdditiveExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitShiftExprAlt

    public Result visitShiftExprAlt(@NotNull GroovyParser.ShiftExprAltContext ctx)
    Visit a parse tree produced by the `shiftExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitShiftExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitRelationalExprAlt

    public Result visitRelationalExprAlt(@NotNull GroovyParser.RelationalExprAltContext ctx)
    Visit a parse tree produced by the `relationalExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitRelationalExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEqualityExprAlt

    public Result visitEqualityExprAlt(@NotNull GroovyParser.EqualityExprAltContext ctx)
    Visit a parse tree produced by the `equalityExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEqualityExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitRegexExprAlt

    public Result visitRegexExprAlt(@NotNull GroovyParser.RegexExprAltContext ctx)
    Visit a parse tree produced by the `regexExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitRegexExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAndExprAlt

    public Result visitAndExprAlt(@NotNull GroovyParser.AndExprAltContext ctx)
    Visit a parse tree produced by the `andExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAndExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitExclusiveOrExprAlt

    public Result visitExclusiveOrExprAlt(@NotNull GroovyParser.ExclusiveOrExprAltContext ctx)
    Visit a parse tree produced by the `exclusiveOrExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitExclusiveOrExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitInclusiveOrExprAlt

    public Result visitInclusiveOrExprAlt(@NotNull GroovyParser.InclusiveOrExprAltContext ctx)
    Visit a parse tree produced by the `inclusiveOrExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitInclusiveOrExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLogicalAndExprAlt

    public Result visitLogicalAndExprAlt(@NotNull GroovyParser.LogicalAndExprAltContext ctx)
    Visit a parse tree produced by the `logicalAndExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLogicalAndExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLogicalOrExprAlt

    public Result visitLogicalOrExprAlt(@NotNull GroovyParser.LogicalOrExprAltContext ctx)
    Visit a parse tree produced by the `logicalOrExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLogicalOrExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitImplicationExprAlt

    public Result visitImplicationExprAlt(@NotNull GroovyParser.ImplicationExprAltContext ctx)
    Visit a parse tree produced by the `implicationExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitImplicationExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitConditionalExprAlt

    public Result visitConditionalExprAlt(@NotNull GroovyParser.ConditionalExprAltContext ctx)
    Visit a parse tree produced by the `conditionalExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitConditionalExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMultipleAssignmentExprAlt

    public Result visitMultipleAssignmentExprAlt(@NotNull GroovyParser.MultipleAssignmentExprAltContext ctx)
    Visit a parse tree produced by the `multipleAssignmentExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMultipleAssignmentExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAssignmentExprAlt

    public Result visitAssignmentExprAlt(@NotNull GroovyParser.AssignmentExprAltContext ctx)
    Visit a parse tree produced by the `assignmentExprAlt` labeled alternative in `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAssignmentExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBlockStmtAlt

    public Result visitBlockStmtAlt(@NotNull GroovyParser.BlockStmtAltContext ctx)
    Visit a parse tree produced by the `blockStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBlockStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitConditionalStmtAlt

    public Result visitConditionalStmtAlt(@NotNull GroovyParser.ConditionalStmtAltContext ctx)
    Visit a parse tree produced by the `conditionalStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitConditionalStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLoopStmtAlt

    public Result visitLoopStmtAlt(@NotNull GroovyParser.LoopStmtAltContext ctx)
    Visit a parse tree produced by the `loopStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLoopStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTryCatchStmtAlt

    public Result visitTryCatchStmtAlt(@NotNull GroovyParser.TryCatchStmtAltContext ctx)
    Visit a parse tree produced by the `tryCatchStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTryCatchStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSynchronizedStmtAlt

    public Result visitSynchronizedStmtAlt(@NotNull GroovyParser.SynchronizedStmtAltContext ctx)
    Visit a parse tree produced by the `synchronizedStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSynchronizedStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitReturnStmtAlt

    public Result visitReturnStmtAlt(@NotNull GroovyParser.ReturnStmtAltContext ctx)
    Visit a parse tree produced by the `returnStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitReturnStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitThrowStmtAlt

    public Result visitThrowStmtAlt(@NotNull GroovyParser.ThrowStmtAltContext ctx)
    Visit a parse tree produced by the `throwStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitThrowStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBreakStmtAlt

    public Result visitBreakStmtAlt(@NotNull GroovyParser.BreakStmtAltContext ctx)
    Visit a parse tree produced by the `breakStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBreakStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitContinueStmtAlt

    public Result visitContinueStmtAlt(@NotNull GroovyParser.ContinueStmtAltContext ctx)
    Visit a parse tree produced by the `continueStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitContinueStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitYieldStmtAlt

    public Result visitYieldStmtAlt(@NotNull GroovyParser.YieldStmtAltContext ctx)
    Visit a parse tree produced by the `yieldStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitYieldStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLabeledStmtAlt

    public Result visitLabeledStmtAlt(@NotNull GroovyParser.LabeledStmtAltContext ctx)
    Visit a parse tree produced by the `labeledStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLabeledStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAssertStmtAlt

    public Result visitAssertStmtAlt(@NotNull GroovyParser.AssertStmtAltContext ctx)
    Visit a parse tree produced by the `assertStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAssertStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLocalVariableDeclarationStmtAlt

    public Result visitLocalVariableDeclarationStmtAlt(@NotNull GroovyParser.LocalVariableDeclarationStmtAltContext ctx)
    Visit a parse tree produced by the `localVariableDeclarationStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLocalVariableDeclarationStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitExpressionStmtAlt

    public Result visitExpressionStmtAlt(@NotNull GroovyParser.ExpressionStmtAltContext ctx)
    Visit a parse tree produced by the `expressionStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitExpressionStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEmptyStmtAlt

    public Result visitEmptyStmtAlt(@NotNull GroovyParser.EmptyStmtAltContext ctx)
    Visit a parse tree produced by the `emptyStmtAlt` labeled alternative in `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEmptyStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCommandExprAlt

    public Result visitCommandExprAlt(@NotNull GroovyParser.CommandExprAltContext ctx)
    Visit a parse tree produced by the `commandExprAlt` labeled alternative in `GroovyParser.statementExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCommandExprAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitForStmtAlt

    public Result visitForStmtAlt(@NotNull GroovyParser.ForStmtAltContext ctx)
    Visit a parse tree produced by the `forStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitForStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitWhileStmtAlt

    public Result visitWhileStmtAlt(@NotNull GroovyParser.WhileStmtAltContext ctx)
    Visit a parse tree produced by the `whileStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitWhileStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitDoWhileStmtAlt

    public Result visitDoWhileStmtAlt(@NotNull GroovyParser.DoWhileStmtAltContext ctx)
    Visit a parse tree produced by the `doWhileStmtAlt` labeled alternative in `GroovyParser.loopStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitDoWhileStmtAlt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCompilationUnit

    public Result visitCompilationUnit(@NotNull GroovyParser.CompilationUnitContext ctx)
    Visit a parse tree produced by `GroovyParser.compilationUnit()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCompilationUnit` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitScriptStatements

    public Result visitScriptStatements(@NotNull GroovyParser.ScriptStatementsContext ctx)
    Visit a parse tree produced by `GroovyParser.scriptStatements()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitScriptStatements` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitScriptStatement

    public Result visitScriptStatement(@NotNull GroovyParser.ScriptStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.scriptStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitScriptStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitPackageDeclaration

    public Result visitPackageDeclaration(@NotNull GroovyParser.PackageDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.packageDeclaration()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitPackageDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitImportDeclaration

    public Result visitImportDeclaration(@NotNull GroovyParser.ImportDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.importDeclaration()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitImportDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeDeclaration

    public Result visitTypeDeclaration(@NotNull GroovyParser.TypeDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.typeDeclaration()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitModifier

    public Result visitModifier(@NotNull GroovyParser.ModifierContext ctx)
    Visit a parse tree produced by `GroovyParser.modifier()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitModifier` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitModifiersOpt

    public Result visitModifiersOpt(@NotNull GroovyParser.ModifiersOptContext ctx)
    Visit a parse tree produced by `GroovyParser.modifiersOpt()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitModifiersOpt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitModifiers

    public Result visitModifiers(@NotNull GroovyParser.ModifiersContext ctx)
    Visit a parse tree produced by `GroovyParser.modifiers()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitModifiers` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClassOrInterfaceModifiersOpt

    public Result visitClassOrInterfaceModifiersOpt(@NotNull GroovyParser.ClassOrInterfaceModifiersOptContext ctx)
    Visit a parse tree produced by `GroovyParser.classOrInterfaceModifiersOpt()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClassOrInterfaceModifiersOpt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClassOrInterfaceModifiers

    public Result visitClassOrInterfaceModifiers(@NotNull GroovyParser.ClassOrInterfaceModifiersContext ctx)
    Visit a parse tree produced by `GroovyParser.classOrInterfaceModifiers()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClassOrInterfaceModifiers` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClassOrInterfaceModifier

    public Result visitClassOrInterfaceModifier(@NotNull GroovyParser.ClassOrInterfaceModifierContext ctx)
    Visit a parse tree produced by `GroovyParser.classOrInterfaceModifier()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClassOrInterfaceModifier` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableModifier

    public Result visitVariableModifier(@NotNull GroovyParser.VariableModifierContext ctx)
    Visit a parse tree produced by `GroovyParser.variableModifier()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableModifier` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableModifiersOpt

    public Result visitVariableModifiersOpt(@NotNull GroovyParser.VariableModifiersOptContext ctx)
    Visit a parse tree produced by `GroovyParser.variableModifiersOpt()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableModifiersOpt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableModifiers

    public Result visitVariableModifiers(@NotNull GroovyParser.VariableModifiersContext ctx)
    Visit a parse tree produced by `GroovyParser.variableModifiers()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableModifiers` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeParameters

    public Result visitTypeParameters(@NotNull GroovyParser.TypeParametersContext ctx)
    Visit a parse tree produced by `GroovyParser.typeParameters()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeParameters` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeParameter

    public Result visitTypeParameter(@NotNull GroovyParser.TypeParameterContext ctx)
    Visit a parse tree produced by `GroovyParser.typeParameter()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeParameter` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeBound

    public Result visitTypeBound(@NotNull GroovyParser.TypeBoundContext ctx)
    Visit a parse tree produced by `GroovyParser.typeBound()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeBound` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeList

    public Result visitTypeList(@NotNull GroovyParser.TypeListContext ctx)
    Visit a parse tree produced by `GroovyParser.typeList()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeList` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClassDeclaration

    public Result visitClassDeclaration(@NotNull GroovyParser.ClassDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.classDeclaration()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClassDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClassBody

    public Result visitClassBody(@NotNull GroovyParser.ClassBodyContext ctx)
    Visit a parse tree produced by `GroovyParser.classBody(int)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClassBody` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEnumConstants

    public Result visitEnumConstants(@NotNull GroovyParser.EnumConstantsContext ctx)
    Visit a parse tree produced by `GroovyParser.enumConstants()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEnumConstants` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEnumConstant

    public Result visitEnumConstant(@NotNull GroovyParser.EnumConstantContext ctx)
    Visit a parse tree produced by `GroovyParser.enumConstant()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEnumConstant` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClassBodyDeclaration

    public Result visitClassBodyDeclaration(@NotNull GroovyParser.ClassBodyDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.classBodyDeclaration(int)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClassBodyDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMemberDeclaration

    public Result visitMemberDeclaration(@NotNull GroovyParser.MemberDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.memberDeclaration(int)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMemberDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMethodDeclaration

    public Result visitMethodDeclaration(@NotNull GroovyParser.MethodDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.methodDeclaration(int, int)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMethodDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCompactConstructorDeclaration

    public Result visitCompactConstructorDeclaration(@NotNull GroovyParser.CompactConstructorDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.compactConstructorDeclaration()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCompactConstructorDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMethodName

    public Result visitMethodName(@NotNull GroovyParser.MethodNameContext ctx)
    Visit a parse tree produced by `GroovyParser.methodName()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMethodName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitReturnType

    public Result visitReturnType(@NotNull GroovyParser.ReturnTypeContext ctx)
    Visit a parse tree produced by `GroovyParser.returnType(int)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitReturnType` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitFieldDeclaration

    public Result visitFieldDeclaration(@NotNull GroovyParser.FieldDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.fieldDeclaration()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitFieldDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableDeclarators

    public Result visitVariableDeclarators(@NotNull GroovyParser.VariableDeclaratorsContext ctx)
    Visit a parse tree produced by `GroovyParser.variableDeclarators()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableDeclarators` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableDeclarator

    public Result visitVariableDeclarator(@NotNull GroovyParser.VariableDeclaratorContext ctx)
    Visit a parse tree produced by `GroovyParser.variableDeclarator()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableDeclarator` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableDeclaratorId

    public Result visitVariableDeclaratorId(@NotNull GroovyParser.VariableDeclaratorIdContext ctx)
    Visit a parse tree produced by `GroovyParser.variableDeclaratorId()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableDeclaratorId` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableInitializer

    public Result visitVariableInitializer(@NotNull GroovyParser.VariableInitializerContext ctx)
    Visit a parse tree produced by `GroovyParser.variableInitializer()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableInitializer` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableInitializers

    public Result visitVariableInitializers(@NotNull GroovyParser.VariableInitializersContext ctx)
    Visit a parse tree produced by `GroovyParser.variableInitializers()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableInitializers` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEmptyDims

    public Result visitEmptyDims(@NotNull GroovyParser.EmptyDimsContext ctx)
    Visit a parse tree produced by `GroovyParser.emptyDims()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEmptyDims` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEmptyDimsOpt

    public Result visitEmptyDimsOpt(@NotNull GroovyParser.EmptyDimsOptContext ctx)
    Visit a parse tree produced by `GroovyParser.emptyDimsOpt()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEmptyDimsOpt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitType

    public Result visitType(@NotNull GroovyParser.TypeContext ctx)
    Visit a parse tree produced by `GroovyParser.type()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitType` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClassOrInterfaceType

    public Result visitClassOrInterfaceType(@NotNull GroovyParser.ClassOrInterfaceTypeContext ctx)
    Visit a parse tree produced by `GroovyParser.classOrInterfaceType()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClassOrInterfaceType` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitPrimitiveType

    public Result visitPrimitiveType(@NotNull GroovyParser.PrimitiveTypeContext ctx)
    Visit a parse tree produced by `GroovyParser.primitiveType()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitPrimitiveType` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeArguments

    public Result visitTypeArguments(@NotNull GroovyParser.TypeArgumentsContext ctx)
    Visit a parse tree produced by `GroovyParser.typeArguments()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeArguments` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeArgument

    public Result visitTypeArgument(@NotNull GroovyParser.TypeArgumentContext ctx)
    Visit a parse tree produced by `GroovyParser.typeArgument()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeArgument` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAnnotatedQualifiedClassName

    public Result visitAnnotatedQualifiedClassName(@NotNull GroovyParser.AnnotatedQualifiedClassNameContext ctx)
    Visit a parse tree produced by `GroovyParser.annotatedQualifiedClassName()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAnnotatedQualifiedClassName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitQualifiedClassNameList

    public Result visitQualifiedClassNameList(@NotNull GroovyParser.QualifiedClassNameListContext ctx)
    Visit a parse tree produced by `GroovyParser.qualifiedClassNameList()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitQualifiedClassNameList` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitFormalParameters

    public Result visitFormalParameters(@NotNull GroovyParser.FormalParametersContext ctx)
    Visit a parse tree produced by `GroovyParser.formalParameters()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitFormalParameters` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitFormalParameterList

    public Result visitFormalParameterList(@NotNull GroovyParser.FormalParameterListContext ctx)
    Visit a parse tree produced by `GroovyParser.formalParameterList()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitFormalParameterList` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitThisFormalParameter

    public Result visitThisFormalParameter(@NotNull GroovyParser.ThisFormalParameterContext ctx)
    Visit a parse tree produced by `GroovyParser.thisFormalParameter()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitThisFormalParameter` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitFormalParameter

    public Result visitFormalParameter(@NotNull GroovyParser.FormalParameterContext ctx)
    Visit a parse tree produced by `GroovyParser.formalParameter()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitFormalParameter` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMethodBody

    public Result visitMethodBody(@NotNull GroovyParser.MethodBodyContext ctx)
    Visit a parse tree produced by `GroovyParser.methodBody()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMethodBody` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitQualifiedName

    public Result visitQualifiedName(@NotNull GroovyParser.QualifiedNameContext ctx)
    Visit a parse tree produced by `GroovyParser.qualifiedName()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitQualifiedName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitQualifiedNameElement

    public Result visitQualifiedNameElement(@NotNull GroovyParser.QualifiedNameElementContext ctx)
    Visit a parse tree produced by `GroovyParser.qualifiedNameElement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitQualifiedNameElement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitQualifiedNameElements

    public Result visitQualifiedNameElements(@NotNull GroovyParser.QualifiedNameElementsContext ctx)
    Visit a parse tree produced by `GroovyParser.qualifiedNameElements()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitQualifiedNameElements` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitQualifiedClassName

    public Result visitQualifiedClassName(@NotNull GroovyParser.QualifiedClassNameContext ctx)
    Visit a parse tree produced by `GroovyParser.qualifiedClassName()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitQualifiedClassName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitQualifiedStandardClassName

    public Result visitQualifiedStandardClassName(@NotNull GroovyParser.QualifiedStandardClassNameContext ctx)
    Visit a parse tree produced by `GroovyParser.qualifiedStandardClassName()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitQualifiedStandardClassName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLiteral

    public Result visitLiteral(@NotNull GroovyParser.LiteralContext ctx)
    Visit a parse tree produced by `GroovyParser.literal()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLiteral` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitGstring

    public Result visitGstring(@NotNull GroovyParser.GstringContext ctx)
    Visit a parse tree produced by `GroovyParser.gstring()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitGstring` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitGstringValue

    public Result visitGstringValue(@NotNull GroovyParser.GstringValueContext ctx)
    Visit a parse tree produced by `GroovyParser.gstringValue()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitGstringValue` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitGstringPath

    public Result visitGstringPath(@NotNull GroovyParser.GstringPathContext ctx)
    Visit a parse tree produced by `GroovyParser.gstringPath()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitGstringPath` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitStandardLambdaExpression

    public Result visitStandardLambdaExpression(@NotNull GroovyParser.StandardLambdaExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.standardLambdaExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitStandardLambdaExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitStandardLambdaParameters

    public Result visitStandardLambdaParameters(@NotNull GroovyParser.StandardLambdaParametersContext ctx)
    Visit a parse tree produced by `GroovyParser.standardLambdaParameters()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitStandardLambdaParameters` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLambdaBody

    public Result visitLambdaBody(@NotNull GroovyParser.LambdaBodyContext ctx)
    Visit a parse tree produced by `GroovyParser.lambdaBody()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLambdaBody` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClosure

    public Result visitClosure(@NotNull GroovyParser.ClosureContext ctx)
    Visit a parse tree produced by `GroovyParser.closure()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClosure` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClosureOrLambdaExpression

    public Result visitClosureOrLambdaExpression(@NotNull GroovyParser.ClosureOrLambdaExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.closureOrLambdaExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClosureOrLambdaExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBlockStatementsOpt

    public Result visitBlockStatementsOpt(@NotNull GroovyParser.BlockStatementsOptContext ctx)
    Visit a parse tree produced by `GroovyParser.blockStatementsOpt()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBlockStatementsOpt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBlockStatements

    public Result visitBlockStatements(@NotNull GroovyParser.BlockStatementsContext ctx)
    Visit a parse tree produced by `GroovyParser.blockStatements()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBlockStatements` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAnnotationsOpt

    public Result visitAnnotationsOpt(@NotNull GroovyParser.AnnotationsOptContext ctx)
    Visit a parse tree produced by `GroovyParser.annotationsOpt()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAnnotationsOpt` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAnnotation

    public Result visitAnnotation(@NotNull GroovyParser.AnnotationContext ctx)
    Visit a parse tree produced by `GroovyParser.annotation()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAnnotation` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitElementValues

    public Result visitElementValues(@NotNull GroovyParser.ElementValuesContext ctx)
    Visit a parse tree produced by `GroovyParser.elementValues()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitElementValues` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAnnotationName

    public Result visitAnnotationName(@NotNull GroovyParser.AnnotationNameContext ctx)
    Visit a parse tree produced by `GroovyParser.annotationName()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAnnotationName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitElementValuePairs

    public Result visitElementValuePairs(@NotNull GroovyParser.ElementValuePairsContext ctx)
    Visit a parse tree produced by `GroovyParser.elementValuePairs()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitElementValuePairs` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitElementValuePair

    public Result visitElementValuePair(@NotNull GroovyParser.ElementValuePairContext ctx)
    Visit a parse tree produced by `GroovyParser.elementValuePair()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitElementValuePair` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitElementValuePairName

    public Result visitElementValuePairName(@NotNull GroovyParser.ElementValuePairNameContext ctx)
    Visit a parse tree produced by `GroovyParser.elementValuePairName()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitElementValuePairName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitElementValue

    public Result visitElementValue(@NotNull GroovyParser.ElementValueContext ctx)
    Visit a parse tree produced by `GroovyParser.elementValue()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitElementValue` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitElementValueArrayInitializer

    public Result visitElementValueArrayInitializer(@NotNull GroovyParser.ElementValueArrayInitializerContext ctx)
    Visit a parse tree produced by `GroovyParser.elementValueArrayInitializer()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitElementValueArrayInitializer` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBlock

    public Result visitBlock(@NotNull GroovyParser.BlockContext ctx)
    Visit a parse tree produced by `GroovyParser.block()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBlock` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBlockStatement

    public Result visitBlockStatement(@NotNull GroovyParser.BlockStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.blockStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBlockStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLocalVariableDeclaration

    public Result visitLocalVariableDeclaration(@NotNull GroovyParser.LocalVariableDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.localVariableDeclaration()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLocalVariableDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableDeclaration

    public Result visitVariableDeclaration(@NotNull GroovyParser.VariableDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.variableDeclaration(int)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeNamePairs

    public Result visitTypeNamePairs(@NotNull GroovyParser.TypeNamePairsContext ctx)
    Visit a parse tree produced by `GroovyParser.typeNamePairs()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeNamePairs` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeNamePair

    public Result visitTypeNamePair(@NotNull GroovyParser.TypeNamePairContext ctx)
    Visit a parse tree produced by `GroovyParser.typeNamePair()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeNamePair` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitVariableNames

    public Result visitVariableNames(@NotNull GroovyParser.VariableNamesContext ctx)
    Visit a parse tree produced by `GroovyParser.variableNames()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitVariableNames` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitConditionalStatement

    public Result visitConditionalStatement(@NotNull GroovyParser.ConditionalStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.conditionalStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitConditionalStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitIfElseStatement

    public Result visitIfElseStatement(@NotNull GroovyParser.IfElseStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.ifElseStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitIfElseStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSwitchStatement

    public Result visitSwitchStatement(@NotNull GroovyParser.SwitchStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.switchStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSwitchStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitLoopStatement

    public Result visitLoopStatement(@NotNull GroovyParser.LoopStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.loopStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitLoopStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitContinueStatement

    public Result visitContinueStatement(@NotNull GroovyParser.ContinueStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.continueStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitContinueStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBreakStatement

    public Result visitBreakStatement(@NotNull GroovyParser.BreakStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.breakStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBreakStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitYieldStatement

    public Result visitYieldStatement(@NotNull GroovyParser.YieldStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.yieldStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitYieldStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTryCatchStatement

    public Result visitTryCatchStatement(@NotNull GroovyParser.TryCatchStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.tryCatchStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTryCatchStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAssertStatement

    public Result visitAssertStatement(@NotNull GroovyParser.AssertStatementContext ctx)
    Visit a parse tree produced by `GroovyParser.assertStatement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAssertStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitStatement

    public Result visitStatement(@NotNull GroovyParser.StatementContext ctx)
    Visit a parse tree produced by `GroovyParser.statement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitStatement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCatchClause

    public Result visitCatchClause(@NotNull GroovyParser.CatchClauseContext ctx)
    Visit a parse tree produced by `GroovyParser.catchClause()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCatchClause` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCatchType

    public Result visitCatchType(@NotNull GroovyParser.CatchTypeContext ctx)
    Visit a parse tree produced by `GroovyParser.catchType()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCatchType` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitFinallyBlock

    public Result visitFinallyBlock(@NotNull GroovyParser.FinallyBlockContext ctx)
    Visit a parse tree produced by `GroovyParser.finallyBlock()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitFinallyBlock` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitResources

    public Result visitResources(@NotNull GroovyParser.ResourcesContext ctx)
    Visit a parse tree produced by `GroovyParser.resources()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitResources` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitResourceList

    public Result visitResourceList(@NotNull GroovyParser.ResourceListContext ctx)
    Visit a parse tree produced by `GroovyParser.resourceList()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitResourceList` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitResource

    public Result visitResource(@NotNull GroovyParser.ResourceContext ctx)
    Visit a parse tree produced by `GroovyParser.resource()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitResource` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSwitchBlockStatementGroup

    public Result visitSwitchBlockStatementGroup(@NotNull GroovyParser.SwitchBlockStatementGroupContext ctx)
    Visit a parse tree produced by `GroovyParser.switchBlockStatementGroup()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSwitchBlockStatementGroup` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSwitchLabel

    public Result visitSwitchLabel(@NotNull GroovyParser.SwitchLabelContext ctx)
    Visit a parse tree produced by `GroovyParser.switchLabel()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSwitchLabel` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitForControl

    public Result visitForControl(@NotNull GroovyParser.ForControlContext ctx)
    Visit a parse tree produced by `GroovyParser.forControl()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitForControl` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEnhancedForControl

    public Result visitEnhancedForControl(@NotNull GroovyParser.EnhancedForControlContext ctx)
    Visit a parse tree produced by `GroovyParser.enhancedForControl()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEnhancedForControl` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClassicalForControl

    public Result visitClassicalForControl(@NotNull GroovyParser.ClassicalForControlContext ctx)
    Visit a parse tree produced by `GroovyParser.classicalForControl()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClassicalForControl` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitForInit

    public Result visitForInit(@NotNull GroovyParser.ForInitContext ctx)
    Visit a parse tree produced by `GroovyParser.forInit()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitForInit` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitForUpdate

    public Result visitForUpdate(@NotNull GroovyParser.ForUpdateContext ctx)
    Visit a parse tree produced by `GroovyParser.forUpdate()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitForUpdate` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCastParExpression

    public Result visitCastParExpression(@NotNull GroovyParser.CastParExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.castParExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCastParExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitParExpression

    public Result visitParExpression(@NotNull GroovyParser.ParExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.parExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitParExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitExpressionInPar

    public Result visitExpressionInPar(@NotNull GroovyParser.ExpressionInParContext ctx)
    Visit a parse tree produced by `GroovyParser.expressionInPar()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitExpressionInPar` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitExpressionList

    public Result visitExpressionList(@NotNull GroovyParser.ExpressionListContext ctx)
    Visit a parse tree produced by `GroovyParser.expressionList(boolean)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitExpressionList` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitExpressionListElement

    public Result visitExpressionListElement(@NotNull GroovyParser.ExpressionListElementContext ctx)
    Visit a parse tree produced by `GroovyParser.expressionListElement(boolean)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitExpressionListElement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEnhancedExpression

    public Result visitEnhancedExpression(@NotNull GroovyParser.EnhancedExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.enhancedExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEnhancedExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEnhancedStatementExpression

    public Result visitEnhancedStatementExpression(@NotNull GroovyParser.EnhancedStatementExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.enhancedStatementExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEnhancedStatementExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitStatementExpression

    public Result visitStatementExpression(@NotNull GroovyParser.StatementExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.statementExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitStatementExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitPostfixExpression

    public Result visitPostfixExpression(@NotNull GroovyParser.PostfixExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.postfixExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitPostfixExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSwitchExpression

    public Result visitSwitchExpression(@NotNull GroovyParser.SwitchExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.switchExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSwitchExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSwitchBlockStatementExpressionGroup

    public Result visitSwitchBlockStatementExpressionGroup(@NotNull GroovyParser.SwitchBlockStatementExpressionGroupContext ctx)
    Visit a parse tree produced by `GroovyParser.switchBlockStatementExpressionGroup()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSwitchBlockStatementExpressionGroup` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSwitchExpressionLabel

    public Result visitSwitchExpressionLabel(@NotNull GroovyParser.SwitchExpressionLabelContext ctx)
    Visit a parse tree produced by `GroovyParser.switchExpressionLabel()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSwitchExpressionLabel` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitExpression

    public Result visitExpression(@NotNull GroovyParser.ExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.expression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCommandExpression

    public Result visitCommandExpression(@NotNull GroovyParser.CommandExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.commandExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCommandExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCommandArgument

    public Result visitCommandArgument(@NotNull GroovyParser.CommandArgumentContext ctx)
    Visit a parse tree produced by `GroovyParser.commandArgument()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCommandArgument` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitPathExpression

    public Result visitPathExpression(@NotNull GroovyParser.PathExpressionContext ctx)
    Visit a parse tree produced by `GroovyParser.pathExpression()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitPathExpression` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitPathElement

    public Result visitPathElement(@NotNull GroovyParser.PathElementContext ctx)
    Visit a parse tree produced by `GroovyParser.pathElement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitPathElement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitNamePart

    public Result visitNamePart(@NotNull GroovyParser.NamePartContext ctx)
    Visit a parse tree produced by `GroovyParser.namePart()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitNamePart` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitDynamicMemberName

    public Result visitDynamicMemberName(@NotNull GroovyParser.DynamicMemberNameContext ctx)
    Visit a parse tree produced by `GroovyParser.dynamicMemberName()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitDynamicMemberName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitIndexPropertyArgs

    public Result visitIndexPropertyArgs(@NotNull GroovyParser.IndexPropertyArgsContext ctx)
    Visit a parse tree produced by `GroovyParser.indexPropertyArgs()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitIndexPropertyArgs` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitNamedPropertyArgs

    public Result visitNamedPropertyArgs(@NotNull GroovyParser.NamedPropertyArgsContext ctx)
    Visit a parse tree produced by `GroovyParser.namedPropertyArgs()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitNamedPropertyArgs` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitPrimary

    public Result visitPrimary(@NotNull GroovyParser.PrimaryContext ctx)
    Visit a parse tree produced by `GroovyParser.primary()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitPrimary` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitList

    public Result visitList(@NotNull GroovyParser.ListContext ctx)
    Visit a parse tree produced by `GroovyParser.list()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitList` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMap

    public Result visitMap(@NotNull GroovyParser.MapContext ctx)
    Visit a parse tree produced by `GroovyParser.map()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMap` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMapEntryList

    public Result visitMapEntryList(@NotNull GroovyParser.MapEntryListContext ctx)
    Visit a parse tree produced by `GroovyParser.mapEntryList()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMapEntryList` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMapEntry

    public Result visitMapEntry(@NotNull GroovyParser.MapEntryContext ctx)
    Visit a parse tree produced by `GroovyParser.mapEntry()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMapEntry` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitMapEntryLabel

    public Result visitMapEntryLabel(@NotNull GroovyParser.MapEntryLabelContext ctx)
    Visit a parse tree produced by `GroovyParser.mapEntryLabel()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitMapEntryLabel` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCreator

    public Result visitCreator(@NotNull GroovyParser.CreatorContext ctx)
    Visit a parse tree produced by `GroovyParser.creator(int)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCreator` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitDim

    public Result visitDim(@NotNull GroovyParser.DimContext ctx)
    Visit a parse tree produced by `GroovyParser.dim()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitDim` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitArrayInitializer

    public Result visitArrayInitializer(@NotNull GroovyParser.ArrayInitializerContext ctx)
    Visit a parse tree produced by `GroovyParser.arrayInitializer()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitArrayInitializer` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitAnonymousInnerClassDeclaration

    public Result visitAnonymousInnerClassDeclaration(@NotNull GroovyParser.AnonymousInnerClassDeclarationContext ctx)
    Visit a parse tree produced by `GroovyParser.anonymousInnerClassDeclaration(int)`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitAnonymousInnerClassDeclaration` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitCreatedName

    public Result visitCreatedName(@NotNull GroovyParser.CreatedNameContext ctx)
    Visit a parse tree produced by `GroovyParser.createdName()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitCreatedName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitNonWildcardTypeArguments

    public Result visitNonWildcardTypeArguments(@NotNull GroovyParser.NonWildcardTypeArgumentsContext ctx)
    Visit a parse tree produced by `GroovyParser.nonWildcardTypeArguments()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitNonWildcardTypeArguments` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitTypeArgumentsOrDiamond

    public Result visitTypeArgumentsOrDiamond(@NotNull GroovyParser.TypeArgumentsOrDiamondContext ctx)
    Visit a parse tree produced by `GroovyParser.typeArgumentsOrDiamond()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitTypeArgumentsOrDiamond` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitArguments

    public Result visitArguments(@NotNull GroovyParser.ArgumentsContext ctx)
    Visit a parse tree produced by `GroovyParser.arguments()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitArguments` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEnhancedArgumentListInPar

    public Result visitEnhancedArgumentListInPar(@NotNull GroovyParser.EnhancedArgumentListInParContext ctx)
    Visit a parse tree produced by `GroovyParser.enhancedArgumentListInPar()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEnhancedArgumentListInPar` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitEnhancedArgumentListElement

    public Result visitEnhancedArgumentListElement(@NotNull GroovyParser.EnhancedArgumentListElementContext ctx)
    Visit a parse tree produced by `GroovyParser.enhancedArgumentListElement()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitEnhancedArgumentListElement` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitStringLiteral

    public Result visitStringLiteral(@NotNull GroovyParser.StringLiteralContext ctx)
    Visit a parse tree produced by `GroovyParser.stringLiteral()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitStringLiteral` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitClassName

    public Result visitClassName(@NotNull GroovyParser.ClassNameContext ctx)
    Visit a parse tree produced by `GroovyParser.className()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitClassName` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitIdentifier

    public Result visitIdentifier(@NotNull GroovyParser.IdentifierContext ctx)
    Visit a parse tree produced by `GroovyParser.identifier()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitIdentifier` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitBuiltInType

    public Result visitBuiltInType(@NotNull GroovyParser.BuiltInTypeContext ctx)
    Visit a parse tree produced by `GroovyParser.builtInType()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitBuiltInType` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitKeywords

    public Result visitKeywords(@NotNull GroovyParser.KeywordsContext ctx)
    Visit a parse tree produced by `GroovyParser.keywords()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitKeywords` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitRparen

    public Result visitRparen(@NotNull GroovyParser.RparenContext ctx)
    Visit a parse tree produced by `GroovyParser.rparen()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitRparen` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitNls

    public Result visitNls(@NotNull GroovyParser.NlsContext ctx)
    Visit a parse tree produced by `GroovyParser.nls()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitNls` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result

  - ### visitSep

    public Result visitSep(@NotNull GroovyParser.SepContext ctx)
    Visit a parse tree produced by `GroovyParser.sep()`.

    The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

    Specified by:
      `visitSep` in interface `GroovyParserVisitor<Result>`
    Parameters:
      `ctx` - the parse tree
    Returns:
      the visitor result